Package org.apache.tapestry5.versionmigrator

## Class ClassRefactor

- java.lang.Object
- - org.apache.tapestry5.versionmigrator.ClassRefactor

-     public final class ClassRefactor
      extends java.lang.Object

  Class that represents information about one class being renamed and/or moved between artifacts (JARs) and/or packages.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassRefactor​(java.lang.String newClassName, java.lang.String oldClassName, java.lang.String sourceArtifact, java.lang.String destinationArtifact)` | Constructor for classes being moved from one artifact to another and possibly being renamed or moved between packages.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDestinationArtifact()` | Returns the artifact where the class is now located.
    `java.lang.String` | `getNewClassName()` | Returns the new fully-qualified class name.
    `java.lang.String` | `getNewPackageName()` | Returns the new package location.
    `java.lang.String` | `getOldClassName()` | Returns the old fully-qualified class name.
    `java.lang.String` | `getSimpleOldClassName()` | Returns the simple old class name.
    `java.lang.String` | `getSourceArtifact()` | Returns the artifact where the class was located.
    `boolean` | `isInternal()` | Returns whether the class is internal or not.
    `boolean` | `isMovedBetweenArtifacts()` | Returns whether the class was moved between artifacts.
    `boolean` | `isRenamed()` | Returns whether the class had its fully qualified class name changed.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassRefactor

          public ClassRefactor​(java.lang.String newClassName,
                               java.lang.String oldClassName,
                               java.lang.String sourceArtifact,
                               java.lang.String destinationArtifact)

      Constructor for classes being moved from one artifact to another and possibly being renamed or moved between packages.

  - ### Method Detail

    - #### getNewClassName

          public java.lang.String getNewClassName()

      Returns the new fully-qualified class name.

    - #### getOldClassName

          public java.lang.String getOldClassName()

      Returns the old fully-qualified class name.

    - #### getSourceArtifact

          public java.lang.String getSourceArtifact()

      Returns the artifact where the class was located.

    - #### getDestinationArtifact

          public java.lang.String getDestinationArtifact()

      Returns the artifact where the class is now located.

    - #### isMovedBetweenArtifacts

          public boolean isMovedBetweenArtifacts()

      Returns whether the class was moved between artifacts.

    - #### isRenamed

          public boolean isRenamed()

      Returns whether the class had its fully qualified class name changed. This includes package changes.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSimpleOldClassName

          public java.lang.String getSimpleOldClassName()

      Returns the simple old class name.

    - #### isInternal

          public boolean isInternal()

      Returns whether the class is internal or not.

    - #### getNewPackageName

          public java.lang.String getNewPackageName()

      Returns the new package location.